//<МИКСИНЫ>===============================================================================================
@import "mixins";
//</МИКСИНЫ>===============================================================================================

//<ШРИФТЫ>===============================================================================================

//<Подключаем шрифты>=======================================================================================
//&display=swap&subset=cyrillic-ext
@import "fonts";
//</Подключаем шрифты>=======================================================================================
//<Иконочные шрифты>==========================================================================================
@import "icons";
//</Иконочные шрифты>==========================================================================================

//<Шрифт по умолчанию>==========================================================================================
$fontFamily: "Gilroy";
$fontSize: 16;
//</Шрифт по умолчанию>==========================================================================================

//</ШРИФТЫ>=======================================================================================================

//<ПЕРЕМЕННЫЕ>===========================================================================================================
$minWidth: 320px;
$maxWidth: 1440;
$maxWidthContainer: 1270;
$md1: $maxWidthContainer + 12;
$md2: 991.98;
$md3: 767.98;
$md4: 479.98;

$mainColor: #3a3a3a; //цвет шрифта по умолчанию
$redcolor:#BD7474;
$graycolor: #898989;
$darkGraycolor:#616161;


//</ПЕРЕМЕННЫЕ>===========================================================================================================

//<ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>===============================================================================================
@import "null";
body {
	color: $mainColor;
	&._lock {
		overflow: hidden;
	}
}
//</ОБНУЛЕНИЕ, ОБЩИЕ ПАРАМЕТРЫ>===============================================================================================

//<ОБОЛОЧКА>===========================================================================================================
.wrapper {
	width: 100%;
	min-height: 100%;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	&._loaded {
	}
}
//</ОБОЛОЧКА>===========================================================================================================

//<ОСНОВНАЯ СЕТКА>===========================================================================================================
._container {
	max-width: $maxWidthContainer + px;
	padding: 0px 15px;
	margin: 0 auto;
	
}

//</ОСНОВНАЯ СЕТКА>===========================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>====================================================================================================
@import "forms";
@import "ui";
//</ПОДКЛЮЧЕНИЕ ФАЙЛОВ UI СТИЛЕЙ, ФОРМ И ГОТОВЫХ КЛАССОВ>====================================================================================================

//<ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>====================================================================================================
//@import "datepicker";
@import "lightgallery";
//@import "pagging";
@import "popup";
@import "header";
@import "footer";
//</ПОДКЛЮЧЕНИЕ ФАЙЛОВ СТИЛЕЙ СТРАНИЦ И ЭЛЕМЕНТОВ>====================================================================================================

//<ОСНОВНОЙ БЛОК>====================================================================================================
.page {
	flex: 1 1 auto;
	
}

.page__main-slider {
}
.main-slider {
	background:  #FFF0ED;
}
.main-slider__container {
	position: relative;
	@media (min-width: $md2+px) {
		&::before {
			content: '';
			background-color: #EAD5D5;
			position: absolute;
			top: 0;
			width: 100vw; //? позволяет сдвинуть элемент
			right: 376px;
			height: 100%;
		}
	}
}
._container {
}
.main-slider__body {
	padding: 140px 0px 0px 0px;
	position: relative;
	z-index: 2;
	@media (max-width: $md2+px) {
		padding: 80px 0px 0px 0px;
	}
	@media (max-width: $md3+px) {
		padding: 50px 0px 0px 0px;
	}
	@media (min-width: $md2+px) {
		display: flex;
	}

}
.main-slider__content {
	align-self: flex-start;
	flex: 0 0 494/1240*100%;
	@include adaptiv-value ("margin-bottom",80,15,1);
	@media (max-width: $md2+px) {
		margin: 0px -15px; //убираем отступ у белой части
	}

}
.content-main {
	position: relative;
    z-index: 5;
	padding-left: 15px;
	padding-right: 15px;
	background: rgba(255,255,255,0.72);
	@include adaptiv-value("padding-top", 60, 15, 1);
	@include adaptiv-value("padding-bottom", 60, 15, 1);
	@media (min-width: $md2+px) {
		@include adaptiv-value("padding", 60, 1, 1);
		background: rgba(255,255,255,0.9);
		@supports ((-webkit-backdrop-filter: blur(31px)) or (backdrop-filter: blur(31px))){
	background: rgba(255,255,255,0.72);
	backdrop-filter: blur(31px);}
    } //???
}

.content-main__title {
	@include adaptiv-value("font-size", 56, 24, 1);
	font-weight: 700;
	line-height: 120%;
	&:not(:last-child) {margin: 0px 0px 16px/56px * 1em 0px;
	}
}
.content-main__text {
	@include adaptiv-value("font-size", 20, 16, 1);
	color: $graycolor;
	font-weight: 500;
	line-height: 150%;
	&:not(:last-child) {margin: 0px 0px 48px/20px * 1em 0px;
	}
}
.content-main__button {
	font-weight: 600;
	@include adaptiv-value("min-height", 78, 45, 1);
	@include adaptiv-value("font-size", 20, 16, 1);
	background-color: $redcolor;
	color: #ffffff;
	width: 100%;
	@media (any-hover:hover) {
		&:hover{
			background:#ac5454f1;

		}	
	}
}
.main-slider__slider {
	flex: 1 1 auto;
	min-width: 0;
	align-self: flex-end;
	@media (min-width:$md2+px) {
		padding: 0px 0px 0px 32px;
	}
}
.slider-main { //решает проблему нестандартного расположения картинки
	display: flex;
	flex-direction: column;
	align-items:flex-end;
	@media (max-width: $md2+px) {
		align-items: stretch;
		flex-direction: column-reverse; //размещаем точки внизу, разворачивая порядок элементов
	}
}
.slider-main__controls {
	align-self: stretch;
	margin: 0px 0px 20px 0px;
	@media (max-width: $md2+px) {
		margin: 10px 0px 0px 20px;
	}
}
.controls-slider-main {
	display: flex;
	align-items: center;
}
.controls-slider-main__dotts {
	flex: 1 1 auto;
	@media (min-width: $md2+px) {
		padding: 0 20px 0 0; // отступ безопасности
	}
	@media (max-width: $md2+px) {
		justify-content: center; //поставили точки в центр
}
}
.controls-slider-main__arrows {
}
.slider-arrows {
	display: grid;
	
	grid-template-columns: repeat(2,48px);
	column-gap: 8px;
	position: relative;
    z-index: 2;
	@media (max-width: $md2+px) {
		display: none; // убрали стрелки на мобильных 
	}
}
.slider-arrow {
	border-radius: 50%;
	height: 48px;
	background-color: rgb(189, 116, 116, 0.3);
	color: $redcolor;
	font-size: 12px;
	cursor: pointer;
	transition: all 0.3s ease 0s;

}
.slider-arrow_prev {
	&::before{
		transform: rotate(90deg);
    }
	@media (any-hover:hover) {
		&:hover{
			color:#ffffff;
			background: rgb(189, 116, 116, 1);
		}
	  }	
	}
._icon-arrow-down {
}
.slider-arrow_next {
	&::before {
		transform: rotate(-90deg);
	}
@media (any-hover:hover) {
	&:hover{
		color:#ffffff;
		background: rgb(189, 116, 116, 1);
	}
  }	
  &_white {
	  box-shadow: 0px 4px 14px 1px rgba(0, 0, 0, 0.16);
	  background-color:#ffffff;
	@media (any-hover:hover) {
		&:hover{
			background-color: $redcolor;
			color:#ffffff;
		}
	  }
	}
}	

.slider-main__body { //слайдер решение 
	overflow: visible; //для видимости других слайдов
	@media (min-width: $md2+px) {
		@include adaptiv-value ("width",934,290,1);
	}
	@media (max-width: $md2+px) {
		margin: 0px -15px; //убираем отступ у картинки
	}
}
._swiper {
}
//ТОЧКИ ВСТРОЕННЫЕ
.swiper-pagination-bullets {
	display: flex;
	flex-wrap: wrap;

}
.swiper-pagination-bullet {
	cursor: pointer;
	flex: 0 0 27px;
	height: 27px;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 2px 0px;
	& :not(:last-child) {margin-right: 12px;
	}
	&::after{ //точка маленькая
		content: "";
		width: 11px;
		height: 11px;
		background-color: #B89B9B;
		border-radius: 50%;
		transition: background-color 0.3s ease 0s;

	}
	&::before { //ореол
		content: "";
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		border-radius: 50%;
		border: 1px solid $redcolor;
		transition: transform 0.3s ease 0s;
		transform: scale(0);

	}
}
.swiper-pagination-bullet-active{
	&::after{
		background-color:$redcolor;

	}
	&::before {
		transform: scale(1);
	}
}

.slider-main__slide {
	position: relative;
    z-index: 5;
}
.slider-main__image {
	padding: 0px 0px 59.1% 0px;
}
._ibg {
}
.slider-main__content {
	//min-width: 295px;
	//min-height: 300px;
	//overflow: auto;
	color: inherit;
	display: flex;
	flex-direction: column;
	@include adaptiv-value ("padding",24,15,1);
	background: rgba(255,255,255,1);
	@media (min-width: $md3+px) {
		position: absolute;
		min-width: 350px;
		@include adaptiv-value ("right",40,0,1);
		@include adaptiv-value ("bottom",40,0,1);
	}
	@supports ((-webkit-backdrop-filter: blur(31px)) or (backdrop-filter: blur(31px))){
		background: rgba(255,255,255,0.72);
		backdrop-filter: blur(31px);
	}
}
.slider-main__title {
	@include adaptiv-value ("font-size",28,22,1);
	font-weight: 600;
	line-height: 120%;
	&:not(:last-child){
	margin: 0px 0px 4px/28px * 1em 0px;}
}
.slider-main__text {
	line-height: 150%;
	color: $graycolor;
	&:not(:last-child){
	margin: 0px 0px 8px/16px * 1em 0px;
	}
}
.slider-main__price {
	display: flex;
	flex-direction: row-reverse;
	line-height: 150%;
	align-items:center;
	font-weight: 600;
	justify-content: space-between;
    @include adaptiv-value ("font-size",20,16,1);
	&::before {
		margin: 0px 0px 0px 10px;
		font-size: 12px;
	}
}
._icon-arrow-link {
}

// БЛОК С ПРЕИМУЩЕСТВАМИ
.page__advantages {
}
.advantages {
	@include adaptiv-value(padding-top,88,30,1);
	@include adaptiv-value(padding-bottom,88,30,1);
}
.advantages__container {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}
._container {
}
.advantages__item {
	display: inline-grid;
	padding: 15px 0;
	grid-template: auto auto / 85px 1fr;
	@media (max-width: $md2+px){
		min-width: 280px;
	}
	@media (max-width: $md3+px){
		grid-template: auto auto / auto 1fr;
	}
}
.advantages__icon {
	text-align: center;
	align-self: center;
	grid-row: span 2;
	@media (max-width: $md3+px) {
		padding: 0px 15px 0px 0px;
	}
}
.advantages__title {
	font-weight: 600;
	font-size: 18px;
	line-height: 150%;
	margin: 0px 0px 2px/18px * 1em 0px;
}
.advantages__text {
	line-height: 150%;
	color: $graycolor;
}

// БЛОК С ПРОДУКТАМИ

.page__products {
}
.products {
	@include adaptiv-value("padding-bottom",44,30,1);
}
.products__container {
}
.products__title { 
	margin: 0px 0px 32px/40px * 1em 0px;
}
._title {
	@include adaptiv-value("font-size",40,24,1);
	font-size: 700;
	line-height: 120%;
	text-align: center;
	font-weight: bold;
}
.products__items {
	display:grid;
	gap: 32px; //задаёт отступы между столбцами и строками, а не вдоль края контейнера сетки.
	grid-template-columns: repeat(auto-fit, minmax(285px, 1fr)); //адаптируем карточки товаров указывая макс и мин значение
}
.products__item {
}

.products__footer{
padding: 32px 0px 0px 0px;
text-align: center;
}

.products__more {
border: 1px solid $redcolor;
min-width: 245px;
&._hold{
	opacity: 0.2;
	cursor: default;
}
}
.item-product {
	background: #f4f5f7;
	display: flex;
	flex-direction: column; 
	position: relative;
	@media (any-hover: hover) {
		&:hover{
			.item-product__actions{
				opacity: 1;
				visibility: visible;
			}
		}
	}
}
.item-product__labels {
	position: absolute;
	z-index: 2;
	display: flex;
	flex-direction: column;
	@include adaptiv-value("right",24,10,1);
	@include adaptiv-value("top",24,10,1);
}
.item-product__label {
	flex: 0 0 48px;
	width: 48px;
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items:center;
	color:#ffffff;
	font-weight: 500;
	&:not(:last-child){
		margin: 0px 0px 10px 0px;
	}
}
.item-product__label_sale {
	background: #e97171;
}
.item-product__label_new{
	background: #c12e84;
}
.item-product__image {
	padding: 0px 0px 301px/285px * 100% 0px;
}
.item-product__body {
	flex: 1 1 auto;
	padding: 16px 16px 30px 16px ;
	display: flex;
	flex-direction:column;
}
.item-product__content {
	flex: 1 1 auto;
}
.item-product__title {
	@include adaptiv-value("font-size",24,20,1);
	font-weight: 600;
	line-height: 120%;
	margin: 0px 0px 8px/24px * 1em 0px;
}
.item-product__text {
	color: $graycolor;
	line-height: 150%;
	margin: 0px 0px 8px/24px * 1em 0px;
}

.item-product__prices {
   display: flex;
   align-items:center;
   flex-wrap: wrap;
   line-height: 150%;
}
.item-product__price {
	@include adaptiv-value("font-size",20,16,1);
	font-weight: 600;
}
.item-product__price_old {
	@include adaptiv-value("font-size",16,14,1);
	font-weight: normal;
	margin: 0px 0px 0px 16px;
	color: #b0b0b0;
	text-decoration: line-through;
}
.item-product__actions {
	@media (any-hover: none) {
		padding: 15px 0px 0px 0px;
	}
	@media (any-hover: hover) {
		opacity: 0;
		visibility: hidden;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		display: flex;
		justify-content: center;
		align-items: center;
		transition: all 0.5s ease 0s;
		background-color: rgba(58,58,58,0.74);
		z-index: 3;
		}
	}

.actions-product {
}
.action-product__body {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}
.actions-product__button {
	flex: 1 1 100%;
	&:not(:last-child){
		margin: 0px 0px 24px 0px;
	}
	&._hold{
		opacity: 0.2;
		cursor: default;
	}
}
.btn_white {
}
.actions-product__link {
	display: flex;
	align-items: center;
	color: inherit;
	font-weight: 600;
	transition: color 0.3s ease 0s;
	&::before{
		margin: 0px 10px 0px 0px;
		font-size: 16px;
	}
	@media (any-hover: hover) {
		color: #fff;
		&:hover{
			color: $redcolor;
		}
	}
}
._icon-share {
}
._icon-favorite {
}

.products__footer{
	padding: 32px 0px 0px 0px;
	text-align: center;
}

.products__more {
	border: 1px solid $redcolor;
	min-width: 245px;
}

._flyImage._ibg{
	opacity: 1;
	position: fixed;
	z-index: 100;
	transition: all 1s ease 0s;
}
// СЛАЙДЕР inspirations  ===================================================================================================================================

.inspirations {
	background: #FFF0ED;
	@include adaptiv-value("padding-top", 44, 30, 1);
	@include adaptiv-value("padding-bottom", 44, 30, 1); 
}

.inspirations__container
	 {
		@media (min-width: $md2+px) {
			display: flex;
		}
	}

.inspirations__body
	{
		flex: 0 0 465/1240 * 100%;
		position: relative;
		z-index: 5;
		align-self: center;
		@media (min-width: $md2+px) {
			@include adaptiv-value("padding-right", 80, 30, 1);
		}
		@media (max-width: $md2+px) {
			margin: 0px 0px 30px 0px;
		}
	}

.inspirations__title
	 {
		&:not(:last-child) {
			margin: 0px 0px 8px/40px * 1em 0px;
		}
		text-align: left;
	}

.inspirations__text
	 {
		line-height: 150%;
		font-weight: 500;
		&:not(:last-child) {
			margin: 0px 0px 24px 0px;
		}
	}

.inspirations__button
	 {
		background: $redcolor;
		color: #fff;
		min-width: 180px;
		@media (any-hover: hover) {
			&:hover {
				background-color: #8d4646;
			}
		}
	}

.inspirations__slider
	 {
		flex: 1 1 auto;
		min-width: 0;
		align-self: flex-start;
		@media (max-width: $md4+px) {
			margin: 0px -15px;
		}
	}

.slider-inspirations {
	position: relative;
}

.slider-inspirations__body
	{
		overflow: visible;
		position: relative;
		&::before {
			content: "";
			position: absolute;
			top: 0;
			height: 100%;
			width: 100vw;
			left: 0;
			background-color: #FFF0ED;
			z-index: 2;
			transform: translate(-100%, 0px);
		}
	}

.slider-inspirations__slide
	 {
		width: 372px;
		position: relative;
		overflow: hidden;
		@include adaptiv-value("min-height", 585, 400, 1);
		&.swiper-slide-active {
			.slider-inspirations__image {
				height: 100%;
			}
		}
		@media (max-width: $md4+px) {
			width: 100%;
		}
	}

.slider-inspirations__image
	{
		transition: height 0.8s ease 0s;
		height: 100%;
		@media (min-width: $md3+px) {
			height: 83%;
		}
	}

.slider-inspirations__content
	 {
		position: absolute;
		color: inherit;
		max-width: 240px;
		@include adaptiv-value("left", 24, 15, 1);
		@include adaptiv-value("bottom", 24, 15, 1);
		@include adaptiv-value("padding", 32, 15, 1);
		background: rgba(255, 255, 255, 0.9);
		/* Если браузер поддерживает backdrop-filter */
		@supports ((-webkit-backdrop-filter: blur(31px)) or (backdrop-filter: blur(31px))) {
			background: rgba(255, 255, 255, 0.72);
			backdrop-filter: blur(31px);
		}
		&::before {
			position: absolute;
			bottom: 0;
			right: 0;
			transform: translate(100%, 0px);
			width: 48px;
			height: 48px;
			background-color: $redcolor;
			color: #fff;
			display: flex;
			justify-content: center;
			align-items: center;
		}
	}

.slider-inspirations__label{}
	
.slider-inspirations__title
	 {
		font-weight: 600;
		@include adaptiv-value("font-size", 28, 24, 1);
	}

.slider-inspirations__arrows
	 {
		//pointer-events: none;
		position: absolute;
		top: 50%;
		transform: translate(0px, -50%);
		width: calc(100% - 48px);
		left: 24px;
		z-index: 5;
		justify-content: space-between;
	@media (min-width: $md1+px) {
			left: -24px;
			width: calc(100% + 48px);
		}
	}



.slider-inspirations__dotts
	 {
		@media (min-width: $md3+px) {
			position: absolute;
			bottom: 30px;
			width: 100%;
			left: 396px;
		}
		@media (max-width: $md3+px) {
			justify-content: center;
			padding: 15px 0px 0px 0px;
		}
	}


.label-slider {
	display: grid;
	color: $darkGraycolor;
	gap: 8px;
	align-items: center;
	justify-content: start;
	grid-template-columns: auto 27px auto;
	&:not(:last-child) {
		margin: 0px 0px 8px 0px;
	}
}

.label-slider__number{}

.label-slider__line
	 {
		height: 1px;
		background-color: $darkGraycolor;
	}

.label-slider__text{}

//============================================================================================================================
.blog {
	@include adaptiv-value("padding-top", 44, 30, 1);
	@include adaptiv-value("padding-bottom", 44, 30, 1);
}
.blog__container {}

.blog__title {}

.blog__slider {}

.slider-blog {
	position: relative;
}

.slider-blog__body {
		@include adaptiv-value("margin-left", -32, -15, 1);
		@include adaptiv-value("margin-right", -32, -15, 1);
		@include adaptiv-value("padding", 32, 15, 1);
	}

.slider-blog__slide
	 {
		display: flex;
		flex-direction: column;
		transition: box-shadow 0.3s ease 0s;
		@media (any-hover: hover) {
			&:hover {
				box-shadow: 0 0 32px rgba(97, 97, 97, 0.2);
			}
		}
	}

.slider-blog__image
	 {
		padding: 0px 0px 251/391 * 100% 0px;
	}

.slider-blog__content
	 {
		display: flex;
		flex-direction: column;
		padding: 15px;
		flex: 1 1 auto;
		align-items: flex-start;
	}

.slider-blog__title
	 {
		flex: 1 1 auto;
		color: inherit;
		font-weight: 600;
		line-height: 120%;
		@include adaptiv-value("font-size", 24, 18, 1);
		transition: color 0.3s ease 0s;
		&:not(:last-child) {
			margin: 0px 0px 8px/24px * 1em 0px;
		}
		@media (any-hover: hover) {
			&:hover {
				color: $redcolor;
			}
		}
	}

.slider-blog__text
	 {
		color: $graycolor;
		font-size: 14px;
		line-height: 150%;
	}

.slider-blog__dotts
	{
		@include adaptiv-value("padding-top", 8, 0, 1);
		justify-content: center;
	}

.slider-blog__arrows
	{
		//pointer-events: none;
		position: absolute;
		top: 50%;
		transform: translate(0px, -50%);
		width: calc(100% - 48px);
		left: 24px;
		z-index: 5;
		justify-content: space-between;
		@media (min-width: $md1+px) {
			left: -24px;
			width: calc(100% + 48px);
		}
		@media (max-width: $md3+px) {
			display: none;
		}
	}

//===================================================================================================================

.instagram {
	@include adaptiv-value("padding-bottom", 85, 40, 1);
}

.instagram__container {}

.instagram__label
	 {
		text-align: center;
		color: $darkGraycolor;
		line-height: 150%;
		@include adaptiv-value("font-size", 20, 16, 1);
		&:not(:last-child) {
			margin: 0px 0px 8px/20px * 1em 0px;
		}
	}

.instagram__title
	{
		margin: 0px 0px 32px/40px * 1em 0px;
	}

.instagram__body
	 {
		position: relative;
		@media (any-hover: none) {
			overflow: auto;
			-webkit-overflow-scrolling: touch;
		}
	}

.instagram__items
	 {
		display: grid;
		grid-template-columns: auto;
		grid-auto-flow: column;
		align-items: center;
		gap: 16px;
		@media (any-hover: hover) {
			justify-content: center;
		}
	}

.instagram__column
	 {
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		margin: 0px -8px;
		&:first-child {
			justify-content: flex-end;
		}
	}

.instagram__row
	{
		display: inline-grid;
		padding: 0px 8px;
		gap: 16px;
		grid-template-columns: auto;
		grid-auto-flow: column;
		&:not(:last-child) {
			margin: 0px 0px 16px 0px;
		}
	}

.row-instagram {}

.row-instagram_left-top
	 {
		justify-content: end;
		align-items: end;
	}

.row-instagram_left-bottom
	 {
		justify-content: end;
		align-items: start;
	}

 .row-instagram_center
	{
		display: block;
	}

.row-instagram_right-top
	{
		align-items: end;
	}

.row-instagram_right-bottom
	 {
		align-items: start;
	}

.row-instagram__item
	 {
		@media (any-hover: hover) {
			img {
				transition: all 0.8s ease 0s;
				filter: grayscale(1);
			}
			&:hover {
				img {
					filter: grayscale(0);
				}
			}
		}
	}



//</ОСНОВНОЙ БЛОК>====================================================================================================
